#include <iostream>
using namespace std;
int main ()
{
    long long razmer[4], sborLica=0, Proba, E;
    for (Proba=0;Proba<4;Proba++) {
        cin>>razmer[Proba];
        sborLica=sborLica+(razmer[Proba]*razmer[Proba]*razmer[Proba]);
    }
    cin>>E;
    if (sborLica>E*E*E)
    {
        if (sborLica%(E*E*E)==0)
        {
            cout<<sborLica/(E*E*E);
        }
        else
        {
            cout<<sborLica/(E*E*E)+1;
        }
    }
    else
    {
        cout<<1;
    }

    return 0;
}
